--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "Paina Numpad 0: Info Auki");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Paina Numpad 0: Info Kiinni");
		renderText(0.72, 0.86, 0.025, "~ Valtra valmet 8550 Info ~");			
		renderText(0.72, 0.81, 0.02, "Paina 9: Paripyorat Eteen");			
		renderText(0.72, 0.79, 0.02, "Paina 8: Paripyorat Taakse");
		renderText(0.72, 0.77, 0.02, "Paina Numpad 5: Etu Tyovalot On/Off");
		renderText(0.72, 0.75, 0.02, "Paina Numpad 6: Taka Tyovalot On/Off");
		renderText(0.72, 0.73, 0.02, "Paina F5: Koukku Ylos");
		renderText(0.72, 0.71, 0.02, "Paina F6: Koukku Alas");
		renderText(0.72, 0.69, 0.02, "Paina 0: Torvi");
		renderText(0.72, 0.67, 0.02, "Paina Numpad 1: Vasen Vilkku");
		renderText(0.72, 0.65, 0.02, "Paina Numpad 2: Hatavilkku");
		renderText(0.72, 0.63, 0.02, "Paina Numpad 3: Oikea Vlkku");
        renderText(0.72, 0.58, 0.02, "Mod By XarioN");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




